Closed Bug 586906 Opened 9 years ago Closed 4 years ago

Random Orange: TEST-UNEXPECTED-FAIL | test_smtpPasswordFailure3.js | 2152398868 == 0

Categories

(MailNews Core :: Networking: SMTP, defect)

defect
Not set

Tracking

(Not tracked)

RESOLVED WORKSFORME

People

(Reporter: standard8, Unassigned)

Details

(Keywords: intermittent-failure)

Attachments

(1 file)

Random orange seen on tinderboxes:

TEST-UNEXPECTED-FAIL | /builds/slave/macosx-comm-central-check/build/objdir/mozilla/_tests/xpcshell/test_compose/unit/test_smtpPasswordFailure3.js | test failed (with xpcshell return code: 0), see following log:
  >>>>>>>
  ### XPCOM_MEM_LEAK_LOG defined -- logging leaks to /var/folders/Dy/DycpQaEFGyGNISFo-WG6TE+++TM/-Tmp-/tmpHxayVj/runxpcshelltests_leaks.log
TEST-INFO | (xpcshell/head.js) | test 1 pending
Directory request for: MailD that we (mailDirService.js) are not handling, leaving it to another handler.
Directory request for: MFCaF that we (mailDirService.js) are not handling, leaving it to another handler.
Directory request for: DefRt that we (mailDirService.js) are not handling, leaving it to another handler.
Send
TEST-INFO | (xpcshell/head.js) | test 2 pending
Starting AUTH PLAIN
AUTH PLAIN line -AHRlc3RzbXRwAHNtdHB0ZXN0-
authorize-id: --, username: -testsmtp-, password: -smtptest-
End Send
TEST-PASS | /builds/slave/macosx-comm-central-check/build/objdir/mozilla/_tests/xpcshell/test_compose/unit/test_smtpPasswordFailure3.js | [run_test : 141] 0 == 0
TEST-INFO | (xpcshell/head.js) | test 2 finished
TEST-INFO | (xpcshell/head.js) | running event loop
TEST-UNEXPECTED-FAIL | /builds/slave/macosx-comm-central-check/build/objdir/mozilla/_tests/xpcshell/test_compose/unit/test_smtpPasswordFailure3.js | 2152398868 == 0 - See following stack:
JS frame :: /builds/slave/macosx-comm-central-check/build/mozilla/testing/xpcshell/head.js :: do_throw :: line 273
JS frame :: /builds/slave/macosx-comm-central-check/build/mozilla/testing/xpcshell/head.js :: do_check_eq :: line 303
JS frame :: /builds/slave/macosx-comm-central-check/build/objdir/mozilla/_tests/xpcshell/test_compose/unit/test_smtpPasswordFailure3.js :: anonymous :: line 149
TEST-INFO | (xpcshell/head.js) | exiting test
before 442368, after 438272, break 05f00000
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1286000890.1286004210.24745.gz
WINNT 5.2 comm-central-trunk debug test xpcshell on 2010/10/01 23:28:10
http://tinderbox.mozilla.org/showlog.cgi?log=Thunderbird/1289540652.1289541540.7650.gz&fulltext=1
MacOSX 10.5 comm-central test xpcshell on 2010/11/11 21:44:12
{
TEST-UNEXPECTED-FAIL | /builds/slave/comm-central-trunk-macosx-opt-unittest-xpcshell/build/xpcshell/tests/mailnews/compose/test/unit/test_smtpPasswordFailure3.js | 1 == 0 - See following stack:
JS frame :: /builds/slave/comm-central-trunk-macosx-opt-unittest-xpcshell/build/xpcshell/head.js :: do_throw :: line 420
JS frame :: /builds/slave/comm-central-trunk-macosx-opt-unittest-xpcshell/build/xpcshell/head.js :: do_check_eq :: line 472
JS frame :: /builds/slave/comm-central-trunk-macosx-opt-unittest-xpcshell/build/xpcshell/tests/mailnews/compose/test/unit/test_smtpPasswordFailure3.js :: run_test :: line 141
...
TEST-UNEXPECTED-FAIL | /builds/slave/comm-central-trunk-macosx-opt-unittest-xpcshell/build/xpcshell/tests/mailnews/compose/test/unit/test_smtpPasswordFailure3.js | 2147500036 == 0 - See following stack:
JS frame :: /builds/slave/comm-central-trunk-macosx-opt-unittest-xpcshell/build/xpcshell/head.js :: do_throw :: line 420
JS frame :: /builds/slave/comm-central-trunk-macosx-opt-unittest-xpcshell/build/xpcshell/head.js :: do_check_eq :: line 472
JS frame :: /builds/slave/comm-central-trunk-macosx-opt-unittest-xpcshell/build/xpcshell/tests/mailnews/compose/test/unit/test_smtpPasswordFailure3.js :: anonymous :: line 149
}
With some current warnings, which might be interesting to look at too...

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1292332822.1292335277.7609.gz&fulltext=1
WINNT 5.2 comm-central-trunk debug test xpcshell on 2010/12/14 05:20:22
{
...
WARNING: NS_ENSURE_TRUE(aCallbacks) failed: file e:/builds/slave/comm-central-trunk-win32-debug/build/mailnews/compose/src/nsSmtpUrl.cpp, line 812
...
WARNING: This method is lossy. Use GetCanonicalPath !: file e:/builds/slave/comm-central-trunk-win32-debug/build/mozilla/xpcom/io/nsLocalFileWin.cpp, line 2969
...
TEST-UNEXPECTED-FAIL | e:/builds/slave/comm-central-trunk-win32-debug-unittest-xpcshell/build/xpcshell/tests/mailnews/compose/test/unit/test_smtpPasswordFailure3.js | 2152398868 == 0 - See following stack:
JS frame :: e:\builds\slave\comm-central-trunk-win32-debug-unittest-xpcshell\build\xpcshell\head.js :: do_throw :: line 439
JS frame :: e:\builds\slave\comm-central-trunk-win32-debug-unittest-xpcshell\build\xpcshell\head.js :: do_check_eq :: line 491
JS frame :: e:/builds/slave/comm-central-trunk-win32-debug-unittest-xpcshell/build/xpcshell/tests/mailnews/compose/test/unit/test_smtpPasswordFailure3.js :: <TOP_LEVEL> :: line 149
TEST-INFO | (xpcshell/head.js) | exiting test
before 516096, after 499712, break 00000000
WARNING: nsExceptionService ignoring thread destruction after shutdown: file e:/builds/slave/comm-central-trunk-win32-debug/build/mozilla/xpcom/base/nsExceptionService.cpp, line 197
WARNING: OOPDeinit() without successful OOPInit(): file e:/builds/slave/comm-central-trunk-win32-debug/build/mozilla/toolkit/crashreporter/nsExceptionHandler.cpp, line 1742
}
Depends on: 619104
Not depending on bug 619104 as I don't think that is anything to do with this (apart from being mentioned in a log) and is probably just a side-effect of bad shutdown or something.
No longer depends on: 619104
This fixes the easier case. It is based on a bogus assumption that performTest will always return before we actually get the first prompts. That just isn't true as shown by some of the test failures.

Unfortunately this is the less common case. For the more common one I think I need to dig into the SMTP protocol code a bit more, so that's for another day.
Attachment #513962 - Flags: review?(bienvenu)
Attachment #513962 - Flags: review?(bienvenu) → review+
Comment on attachment 513962 [details] [diff] [review]
[checked in] Fix the 1 == 0 case

Checked in: http://hg.mozilla.org/comm-central/rev/65a1862fb9fe
Attachment #513962 - Attachment description: Fix the 1 == 0 case → [checked in] Fix the 1 == 0 case
http://tinderbox.mozilla.org/showlog.cgi?log=ThunderbirdTry/1326328987.1326330760.8010.gz
OS X 10.6.2 try-comm-central opt test xpcshell on 2012/01/11 16:43:07
{
TEST-UNEXPECTED-FAIL | /builds/slave/test/build/xpcshell/tests/mailnews/compose/test/unit/test_smtpPasswordFailure3.js | 2152398868 == 0 - See following stack:
}

Still happening.
http://tinderbox.mozilla.org/showlog.cgi?log=ThunderbirdTrunk/1333990211.1333995719.23760.gz
MacOSX 10.6 comm-central test xpcshell on 2012/04/09 09:50:11
s: tb2-darwin10-slave69
{
TEST-UNEXPECTED-FAIL | /builds/slave/comm-central-macosx64-opt-unittest-xpcshell/build/xpcshell/tests/mailnews/compose/test/unit/test_smtpPasswordFailure3.js | test failed (with xpcshell return code: 0), see following log:

TEST-UNEXPECTED-FAIL | /builds/slave/comm-central-macosx64-opt-unittest-xpcshell/build/xpcshell/tests/mailnews/compose/test/unit/test_smtpPasswordFailure3.js | 2152398868 == 0 - See following stack:

JS frame :: /builds/slave/comm-central-macosx64-opt-unittest-xpcshell/build/xpcshell/tests/mailnews/compose/test/unit/test_smtpPasswordFailure3.js :: <TOP_LEVEL> :: line 119
}
http://tinderbox.mozilla.org/showlog.cgi?log=ThunderbirdTrunk/1334891502.1334893226.1705.gz
MacOSX 10.5 comm-central test xpcshell on 2012/04/19 20:11:42
s: tb2-darwin9-slave56
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey-Aurora/1335011704.1335014998.32462.gz
WINNT 5.2 comm-aurora debug test xpcshell on 2012/04/21 05:35:04
s: sea-win32-02
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey-Aurora/1334805339.1334808671.31024.gz
OS X 10.5 comm-aurora debug test xpcshell on 2012/04/18 20:15:39
s: cb-sea-miniosx01
Whiteboard: [orange]
Closing bugs where TBPLbot has previously commented, but have now not been modified for >3 months & do not contain the whiteboard strings for disabled/annotated tests or use the keyword leave-open. Filter on: mass-intermittent-bug-closure-2014-07
Status: NEW → RESOLVED
Closed: 5 years ago
Resolution: --- → WORKSFORME
Status: RESOLVED → REOPENED
Resolution: WORKSFORME → ---
Inactive; closing (see bug 1180138).
Status: REOPENED → RESOLVED
Closed: 5 years ago4 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.